#### D.15.2.22 nondegeneratePart

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  nondegeneratePart(N); N NormalForm as given by @ref(determineNormalForm)

Return:
  the nondegenerate part, returned as type Poly, of the singularity defined by N.phi.sourcegerm.value

Example:

    LIB "arnold.lib";
    ring R = 0,(x,y,z),ds;
    poly g = (x^2+y^2)^2+5*x^(10)+y^(11)+z^2;
    poly phix = x+y^2+x^2+x*y+x^2*y+x*y^3;
    poly phiy = y+y^2+2*x^2+x*y+y*x^2+y^2*x+x*y^4;
    poly phiz = z+2x+x^2+y^4*x;
    map phi = R,phix,phiy,phiz;
    g = phi(g);
    Poly F = makePoly(g);
    NormalForm N = determineNormalForm(F);
    nondegeneratePart(N);
    ==> z^2
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.